Support Matrix

The tables below display platform and software configurations that are eligible for support under our subscription offerings. Learn more about our Support Policy and product End of Life policy.

Don't see your favorite platform, JVM, or browser? Contact us.

Downloading our software requires TLSv1.2 or higher. Some older operating systems (or their libcurl, curl, and nss libraries used by apt-get or yum) may need to be upgraded to a version that enables TLSv1.2 support in order to download files using package installations. Please refer to your operating system documentation for more details.

Product and Operating System

CentOS/RHEL
6.x/7.x
Oracle
Enterprise
Linux 6/7
with RHEL
Kernel only
Ubuntu
14.04
Ubuntu
16.04
Ubuntu
18.04
SLES 11
SP4**
SLES 12 openSUSE
Leap 42
Windows
Server
2012/R2
Windows
Server
2016
Debian
7
Debian
8
Debian
9
Solaris/
SmartOS
Amazon
Linux/Amazon Linux 2*
Elasticsearch 5.0.x
Elasticsearch 5.1.x
Elasticsearch 5.2.x
Elasticsearch 5.3.x
Elasticsearch 5.4.x
Elasticsearch 5.5.x
Elasticsearch 5.6.x
Elasticsearch 6.0.x
Elasticsearch 6.1.x
Elasticsearch 6.2.x
Elasticsearch 6.3.x
Elasticsearch 6.4.x
Elasticsearch 6.5.x
Elasticsearch 6.6.x
Elasticsearch 6.7.x
Elasticsearch 6.8.x
Elasticsearch 7.0.x
Elasticsearch 7.1.x
Elasticsearch 7.2.x
Elasticsearch 7.3.x

We currently only support and test x86_64 architectures.
Encryption at rest for Elasticsearch via dm-crypt is supported on all Linux OSs
Support for the listed Linux distributions requires a native Linux install, e.g., Windows Subsystem for Linux (WSL) is unsupported
*We might ask you to move to newer versions of Amazon Linux as part of our support process


CentOS/RHEL
6.x/7.x
Oracle
Enterprise
Linux 6/7
with RHEL
Kernel only
Ubuntu
14.04
Ubuntu
16.04
Ubuntu
18.04
SLES 11
SP4**
SLES 12 openSUSE
Leap 42
Windows
Server
2012/R2
Windows
Server
2016
Debian
7
Debian
8
Debian
9
Solaris/
SmartOS
Amazon
Linux*
Amazon
Linux 2*
Logstash 5.0.x
Logstash 5.1.x
Logstash 5.2.x
Logstash 5.3.x
Logstash 5.4.x
Logstash 5.5.x
Logstash 5.6.x
Logstash 6.0.x
Logstash 6.1.x
Logstash 6.2.x
Logstash 6.3.x
Logstash 6.4.x
Logstash 6.5.x
Logstash 6.6.x
Logstash 6.7.x
Logstash 6.8.x
Logstash 7.0.x
Logstash 7.1.x
Logstash 7.2.x
Logstash 7.3.x

We currently only support and test x86_64 architectures.
*We might ask you to move to newer versions of Amazon Linux as part of our support process
**Zip/tar.gz archives only. RPM installation is not supported on SLES 11.


Auditbeat

CentOS/RHEL
6.x/7.x
Ubuntu
14.04
Ubuntu
16.04
SLES 12 Debian
8
Debian
9
Windows
Server
2012/R2
Windows
Server
2016
Solaris/
SmartOS
MacOS
10.13
AIX Amazon
Linux*
Auditbeat 6.0.x
Auditbeat 6.1.x
Auditbeat 6.2.x
Auditbeat 6.3.x
Auditbeat 6.4.x
Auditbeat 6.5.x
Auditbeat 6.6.x
Auditbeat 6.7.x
Auditbeat 6.8.x
Auditbeat 7.0.x
Auditbeat 7.1.x
Auditbeat 7.2.x
Auditbeat 7.3.x


Filebeat

CentOS/RHEL
6.x/7.x
Ubuntu
14.04
Ubuntu
16.04
SLES 12 Debian
8
Debian
9
Windows
Server
2012/R2
Windows
Server
2016
Solaris/
SmartOS
MacOS
10.13
AIX Amazon
Linux*
Filebeat 5.x
Filebeat 6.0.x
Filebeat 6.1.x
Filebeat 6.2.x
Filebeat 6.3.x
Filebeat 6.4.x
Filebeat 6.5.x
Filebeat 6.6.x
Filebeat 6.7.x
Filebeat 6.8.x
Filebeat 7.0.x
Filebeat 7.1.x
Filebeat 7.2.x
Filebeat 7.3.x


Functionbeat

CentOS/RHEL
6.x/7.x
Ubuntu
14.04
Ubuntu
16.04
SLES 12 Debian
8
Debian
9
Windows
Server
2012/R2
Windows
Server
2016
Solaris/
SmartOS
MacOS
10.13
AIX Amazon
Linux*
Functionbeat 6.5.x**
Functionbeat 6.6.x**
Functionbeat 6.7.x**
Functionbeat 6.8.x**
Functionbeat 7.0.x**
Functionbeat 7.1.x**
Functionbeat 7.2.x**
Functionbeat 7.3.x**


Heartbeat

CentOS/RHEL
6.x/7.x
Ubuntu
14.04
Ubuntu
16.04
SLES 12 Debian
8
Debian
9
Windows
Server
2012/R2
Windows
Server
2016
Solaris/
SmartOS
MacOS
10.13
AIX Amazon
Linux*
Heartbeat 5.2.x-5.6.x
Heartbeat 6.0.x
Heartbeat 6.1.x
Heartbeat 6.2.x
Heartbeat 6.3.x
Heartbeat 6.4.x
Heartbeat 6.5.x
Heartbeat 6.6.x
Heartbeat 6.7.x
Heartbeat 6.8.x
Heartbeat 7.0.x
Heartbeat 7.1.x
Heartbeat 7.2.x
Heartbeat 7.3.x


Metricbeat

CentOS/RHEL
6.x/7.x
Ubuntu
14.04
Ubuntu
16.04
SLES 12 Debian
8
Debian
9
Windows
Server
2012/R2
Windows
Server
2016
Solaris/
SmartOS
MacOS
10.13
AIX Amazon
Linux*
Metricbeat 5.x
Metricbeat 6.0.x
Metricbeat 6.1.x
Metricbeat 6.2.x
Metricbeat 6.3.x
Metricbeat 6.4.x
Metricbeat 6.5.x
Metricbeat 6.6.x
Metricbeat 6.7.x
Metricbeat 6.8.x
Metricbeat 7.0.x
Metricbeat 7.1.x
Metricbeat 7.2.x
Metricbeat 7.3.x


Packetbeat

CentOS/RHEL
6.x/7.x
Ubuntu
14.04
Ubuntu
16.04
SLES 12 Debian
8
Debian
9
Windows
Server
2012/R2
Windows
Server
2016
Solaris/
SmartOS
MacOS
10.13
AIX Amazon
Linux*
Packetbeat 5.x
Packetbeat 6.0.x
Packetbeat 6.1.x
Packetbeat 6.2.x
Packetbeat 6.3.x
Packetbeat 6.4.x
Packetbeat 6.5.x
Packetbeat 6.6.x
Packetbeat 6.7.x
Packetbeat 6.8.x
Packetbeat 7.0.x
Packetbeat 7.1.x
Packetbeat 7.2.x
Packetbeat 7.3.x


Winlogbeat

Windows
Server
2008/R2
Windows
Server
2012/R2
Windows
Server
2016
Winlogbeat 5.x
Winlogbeat 6.0.x
Winlogbeat 6.1.x
Winlogbeat 6.2.x
Winlogbeat 6.3.x
Winlogbeat 6.4.x
Winlogbeat 6.5.x
Winlogbeat 6.6.x
Winlogbeat 6.7.x
Winlogbeat 6.8.x
Winlogbeat 7.0.x
Winlogbeat 7.1.x
Winlogbeat 7.2.x
Winlogbeat 7.3.x

* We might ask you to move to newer versions of Amazon Linux as part of our support process.
** Compatibility applies to the bundled CLI for deploying Functionbeat onto serverless frameworks.
Additionally, we provide Beats binaries but not support for Windows XP, Windows Server 2008, OpenSUSE Leap 42, OpenSUSE 13.2, and Oracle Enterprise Linux 6/7 with RHEL Kernel only.
You may also self compile without support on Linux ARM, Linux PPC/PPC64LE, Solaris/SmartOS, and FreeBSD.


Elastic Cloud Enterprise

CentOS/RHEL
6x
CentOS/RHEL
7.x
Oracle
Enterprise
Linux 6/7
with RHEL
Kernel only
Ubuntu
16.04
SLES 12 OpenSUSE
13.2
Windows
Server
2012/R2
Windows
Server
2016
Debian
7
Debian
8
Solaris/
SmartOS
Amazon
Linux
Elastic Cloud Enterprise 1.0
Elastic Cloud Enterprise 1.1
Elastic Cloud Enterprise 2.0
Elastic Cloud Enterprise 2.1